## org.apache.poi.hwpf.model.types
Class HRESIAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.HRESIAbstractType

Direct Known Subclasses:
  Hyphenation

    @Internal
    public abstract class HRESIAbstractType

extends java.lang.Object

Hyphenation (HRESI).

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format (.doc) Specification NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format (.doc) Specification

Field Summary
`protected byte` `field_1_hres`
`protected byte` `field_2_chHres`
`static byte` `HRES_ADD_LETTER_BEFORE`
`static byte` `HRES_CHANGE_LETTER_AFTER`
`static byte` `HRES_CHANGE_LETTER_BEFORE`
`static byte` `HRES_DELETE_BEFORE_CHANGE_BEFORE`
`static byte` `HRES_DELETE_LETTER_BEFORE`
`static byte` `HRES_NO`
`static byte` `HRES_NORMAL`

Constructor Summary
`protected` `HRESIAbstractType()`

Method Summary
`protected void` `fillFields(byte[] data, int offset)`
`byte` `getChHres()` The character that will be used to add or change a letter when hres is 2, 3, 5 or 6.
`byte` `getHres()` Hyphenation rule.
`static int` `getSize()` Size of record (exluding 4 byte header)
`void` `serialize(byte[] data, int offset)`
`void` `setChHres(byte field_2_chHres)` The character that will be used to add or change a letter when hres is 2, 3, 5 or 6.
`void` `setHres(byte field_1_hres)` Hyphenation rule.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_hres

    protected byte field_1_hres

### HRES_NO

    public static final byte HRES_NO

See Also:
  Constant Field Values

### HRES_NORMAL

    public static final byte HRES_NORMAL

See Also:
  Constant Field Values

### HRES_ADD_LETTER_BEFORE

    public static final byte HRES_ADD_LETTER_BEFORE

See Also:
  Constant Field Values

### HRES_CHANGE_LETTER_BEFORE

    public static final byte HRES_CHANGE_LETTER_BEFORE

See Also:
  Constant Field Values

### HRES_DELETE_LETTER_BEFORE

    public static final byte HRES_DELETE_LETTER_BEFORE

See Also:
  Constant Field Values

### HRES_CHANGE_LETTER_AFTER

    public static final byte HRES_CHANGE_LETTER_AFTER

See Also:
  Constant Field Values

### HRES_DELETE_BEFORE_CHANGE_BEFORE

    public static final byte HRES_DELETE_BEFORE_CHANGE_BEFORE

See Also:
  Constant Field Values

### field_2_chHres

    protected byte field_2_chHres

Constructor Detail

### HRESIAbstractType

    protected HRESIAbstractType()

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record (exluding 4 byte header)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getHres

    public byte getHres()

  Hyphenation rule.

  Returns:
    One of
    - `HRES_NO`
    - `HRES_NORMAL`
    - `HRES_ADD_LETTER_BEFORE`
    - `HRES_CHANGE_LETTER_BEFORE`
    - `HRES_DELETE_LETTER_BEFORE`
    - `HRES_CHANGE_LETTER_AFTER`
    - `HRES_DELETE_BEFORE_CHANGE_BEFORE`

### setHres

    public void setHres(byte field_1_hres)

  Hyphenation rule.

  Parameters:
    `field_1_hres` - One of
    - `HRES_NO`
    - `HRES_NORMAL`
    - `HRES_ADD_LETTER_BEFORE`
    - `HRES_CHANGE_LETTER_BEFORE`
    - `HRES_DELETE_LETTER_BEFORE`
    - `HRES_CHANGE_LETTER_AFTER`
    - `HRES_DELETE_BEFORE_CHANGE_BEFORE`

### getChHres

    public byte getChHres()

  The character that will be used to add or change a letter when hres is 2, 3, 5 or 6.

### setChHres

    public void setChHres(byte field_2_chHres)

  The character that will be used to add or change a letter when hres is 2, 3, 5 or 6.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.